Skip to content

List Transactions

Request

This endpoint lists all transactions for a customer's pockets. It provides a comprehensive view of all financial activities.

It returns a paginated list of Transaction objects, which can be of various types (ACH, WIRE, CARD, etc.).

It does not include transactions between the bank account and brokerage account.

Security
CodeBearer(Required scopes: pockets.read)
Query
cursorstring(Cursor)
Default:""
limitinteger, ( 0 .. 100 ](Limit)
Default:30
orderstring(Order)
Default:"desc"
Enum:"desc""asc"
pocket[]Array of strings or null(Pocket[])
Any of:
Array of strings (uuid)
portal[]Array of strings or null(Portal[])
Any of:
Array of strings (uuid)
card[]Array of strings or null(Card[])
Any of:
Array of strings (uuid)
type[]Array of strings or null(Type[])
Any of:
Array of strings
on_us_transfer[]Array of strings or null(On Us Transfer[])
Any of:
Array of strings (uuid)
wire[]Array of strings or null(Wire[])
Any of:
Array of strings (uuid)
time_booked_fromstring or null(Time Booked From)
Any of:
string (date-time)
time_booked_tostring or null(Time Booked To)
Any of:
string (date-time)
amount_tointeger or null(Amount To)
Any of:
integer
amount_frominteger or null(Amount From)
Any of:
integer
directionstring or null(Direction)
Any of:
string
Enum:"DEBIT""CREDIT"
curl -i -X GET \
  'https://customer-api.sandbox-api.jikoservices.com/api/v2/transactions/?cursor=&limit=30&order=desc&pocket%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&portal%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&card%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&type%5B%5D=ACH&on_us_transfer%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&wire%5B%5D=497f6eca-6276-4993-bfeb-53cbbbba6f08&time_booked_from=2019-08-24T14%3A15%3A22Z&time_booked_to=2019-08-24T14%3A15%3A22Z&amount_to=0&amount_from=0&direction=DEBIT' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful Response

Bodyapplication/json
prev_pagestring or null(Prev Page)
Any of:
string
next_pagestring or null(Next Page)
Any of:
string
itemsArray of any(Items)required
object_typestring(Object Type)
Default:"CursorList"
Response
{ "prev_page": "string", "next_page": "string", "items": [ { … } ], "object_type": "CursorList" }